package com.th.demo.mapping.ware;

import com.th.demo.model.ware.DistributionDetail;

import java.util.List;
import java.util.Map;

public interface DistributionDetailMapper {
    int deleteByPrimaryKey(String id);

    int insert(DistributionDetail record);

    int insertSelective(DistributionDetail record);

    DistributionDetail selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DistributionDetail record);

    int updateByPrimaryKey(DistributionDetail record);

   List<DistributionDetail> selectByFid(String distributionId);

    int updateCancelFlagById(Map<String,Object> map);

    int updateCancelFlagByStoreId(String distributionId,String storeId);
}